    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.sql.ResultSetMetaData

public interface ResultSetMetaData

A ResultSetMetaData object can be used to find out about the types and properties of the columns in a ResultSet.

##

columnNoNulls
  Does not allow NULL values.
columnNullable
  Allows NULL values.
columnNullableUnknown
  Nullability unknown.

##

getCatalogName(int)
  What's a column's table's catalog name?
getColumnCount()
  What's the number of columns in the ResultSet?
getColumnDisplaySize(int)
  What's the column's normal max width in chars?
getColumnLabel(int)
  What's the suggested column title for use in printouts and displays?
getColumnName(int)
  What's a column's name?
getColumnType(int)
  What's a column's SQL type?
getColumnTypeName(int)
  What's a column's data source specific type name?
getPrecision(int)
  What's a column's number of decimal digits?
getScale(int)
  What's a column's number of digits to right of the decimal point?
getSchemaName(int)
  What's a column's table's schema?
getTableName(int)
  What's a column's table name?
isAutoIncrement(int)
  Is the column automatically numbered, thus read-only?
isCaseSensitive(int)
  Does a column's case matter?
isCurrency(int)
  Is the column a cash value?
isDefinitelyWritable(int)
  Will a write on the column definitely succeed?
isNullable(int)
  Can you put a NULL in this column?
isReadOnly(int)
  Is a column definitely not writable?
isSearchable(int)
  Can the column be used in a where clause?
isSigned(int)
  Is the column a signed number?
isWritable(int)
  Is it possible for a write on the column to succeed?

##

columnNoNulls

     public static final int columnNoNulls

  Does not allow NULL values.

columnNullable

     public static final int columnNullable

  Allows NULL values.

columnNullableUnknown

     public static final int columnNullableUnknown

  Nullability unknown.

##

getColumnCount

     public abstract int getColumnCount() throws SQLException

  What's the number of columns in the ResultSet?

  Returns:
    the number
  Throws: SQLException
    if a database-access error occurs.

isAutoIncrement

     public abstract boolean isAutoIncrement(int column) throws SQLException

  Is the column automatically numbered, thus read-only?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    true if so
  Throws: SQLException
    if a database-access error occurs.

isCaseSensitive

     public abstract boolean isCaseSensitive(int column) throws SQLException

  Does a column's case matter?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    true if so
  Throws: SQLException
    if a database-access error occurs.

isSearchable

     public abstract boolean isSearchable(int column) throws SQLException

  Can the column be used in a where clause?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    true if so
  Throws: SQLException
    if a database-access error occurs.

isCurrency

     public abstract boolean isCurrency(int column) throws SQLException

  Is the column a cash value?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    true if so
  Throws: SQLException
    if a database-access error occurs.

isNullable

     public abstract int isNullable(int column) throws SQLException

  Can you put a NULL in this column?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    columnNoNulls, columnNullable or columnNullableUnknown
  Throws: SQLException
    if a database-access error occurs.

isSigned

     public abstract boolean isSigned(int column) throws SQLException

  Is the column a signed number?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    true if so
  Throws: SQLException
    if a database-access error occurs.

getColumnDisplaySize

     public abstract int getColumnDisplaySize(int column) throws SQLException

  What's the column's normal max width in chars?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    max width
  Throws: SQLException
    if a database-access error occurs.

getColumnLabel

     public abstract String getColumnLabel(int column) throws SQLException

  What's the suggested column title for use in printouts and displays?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    true if so
  Throws: SQLException
    if a database-access error occurs.

getColumnName

     public abstract String getColumnName(int column) throws SQLException

  What's a column's name?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    column name
  Throws: SQLException
    if a database-access error occurs.

getSchemaName

     public abstract String getSchemaName(int column) throws SQLException

  What's a column's table's schema?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    schema name or "" if not applicable
  Throws: SQLException
    if a database-access error occurs.

getPrecision

     public abstract int getPrecision(int column) throws SQLException

  What's a column's number of decimal digits?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    precision
  Throws: SQLException
    if a database-access error occurs.

getScale

     public abstract int getScale(int column) throws SQLException

  What's a column's number of digits to right of the decimal point?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    scale
  Throws: SQLException
    if a database-access error occurs.

getTableName

     public abstract String getTableName(int column) throws SQLException

  What's a column's table name?

  Returns:
    table name or "" if not applicable
  Throws: SQLException
    if a database-access error occurs.

getCatalogName

     public abstract String getCatalogName(int column) throws SQLException

  What's a column's table's catalog name?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    column name or "" if not applicable.
  Throws: SQLException
    if a database-access error occurs.

getColumnType

     public abstract int getColumnType(int column) throws SQLException

  What's a column's SQL type?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    SQL type
  Throws: SQLException
    if a database-access error occurs.
  See Also:
    Types

getColumnTypeName

     public abstract String getColumnTypeName(int column) throws SQLException

  What's a column's data source specific type name?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    type name
  Throws: SQLException
    if a database-access error occurs.

isReadOnly

     public abstract boolean isReadOnly(int column) throws SQLException

  Is a column definitely not writable?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    true if so
  Throws: SQLException
    if a database-access error occurs.

isWritable

     public abstract boolean isWritable(int column) throws SQLException

  Is it possible for a write on the column to succeed?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    true if so
  Throws: SQLException
    if a database-access error occurs.

isDefinitelyWritable

     public abstract boolean isDefinitelyWritable(int column) throws SQLException

  Will a write on the column definitely succeed?

  Parameters:
    column - the first column is 1, the second is 2, ...
  Returns:
    true if so
  Throws: SQLException
    if a database-access error occurs.

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.